/*
  This software is the confidential and proprietary information of
  Smardec. You shall not disclose or distribute such Confidential Information.
  This software shall not be integrated, copied (partially or fully),
  or reverse engineered into any other software, program, or code that is
  not intended for Smardec. You shall use it only in accordance with the terms
  of the license agreement you entered into with Smardec.

  Copyright (C) 2003-2006 Smardec. All rights reserved.

  http://www.smardec.com

*/

package com.smardec.demo.asc;

import com.smardec.demo.asc.Demoable;

import javax.swing.*;
import java.util.*;
import java.awt.*;

public class DemoableAdapter implements Demoable {
    public String getID() {
        return null;
    }

    public String getCaption() {
        return null;
    }

    public Vector getContentDescriptions() {
        return null;
    }

    public int getState() {
        return 0;
    }

    public JPanel getDemoPanel() {
        return null;
    }

    public JPanel getOptionPanel() {
        return null;
    }

    public JPanel getDescriptionPanel() {
        return null;
    }

    public void init(Component parentFrame) {}

    public void deinit() {}

    public void demoWillBecomeVisible() {}

    public void demoWillBecomeInVisible() {}

    public void demoBecomeVisible() {}

    public void demoBecomeInVisible() {}

    public void applicationWillBeClose() {}
}
